//
//  ViewController.swift
//  BFFramework
//
//  Created by 287971051@qq.com on 05/28/2021.
//  Copyright (c) 2021 287971051@qq.com. All rights reserved.
//

import BFFramework
import BFCommonKit
import UIKit

class ViewController: UIViewController {
    override func viewDidLoad() {
        super.viewDidLoad()
        view.backgroundColor = .white

        navigationItem.rightBarButtonItem = UIBarButtonItem(title: "下一个", style: UIBarButtonItem.Style.plain, target: self, action: Selector(("next:")))
        let btn = UIButton(type: .contactAdd)
        btn.frame = CGRect(x: 100, y: 100, width: 100, height: 100)
        view.addSubview(btn)

        btn.addTarget(self, action: #selector(btnClicked), for: .touchUpInside)
    }

    func next(sender _: AnyObject) {
        print("next is onclick")
        BFLog(message: "ssssss")
    }

    @objc func btnClicked() -> String {
        print("打开界面")
        BFLog(message: "ssssss")
//        PQBFConfig.shared.styleColor = .green
//        navigationController?.pushViewController(PQStuckPointMaterialController(), animated: true)
        let nav = UINavigationController(rootViewController: PQStuckPointMaterialController())
        nav.modalPresentationStyle = .overFullScreen
        present(nav, animated: true, completion: nil)
        return "111"
    }
}
